//+------------------------------------------------------------------+
//|                                                      #CFD Check# |
//|                                      Copyright  2009, Leonid553 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Leonid553"
#property link      "leonid553@yandex.ru"

#property show_inputs

//============================================
//---  ---
extern string Tiker = "#I";
extern color  olor_AskTiker  = Lime;//  Ask
extern color  olor_BidTiker  = Aqua;//  Bid
extern int    LineWidth       = 1;   // 

string _tiker;
double Ask_Tiker, Bid_Tiker;
string name;

//-------------------------------------------

int init() // .   
 {
  ObjectCreate("lowline",OBJ_HLINE,0,0,0,0,0);
  ObjectCreate("highline",OBJ_HLINE,0,0,0,0,0); 
  ObjectSet("lowline", OBJPROP_BACK,1); 
  ObjectSet("highline", OBJPROP_BACK,1);
  _tiker  = Symbol()+Tiker;//  
 }

//-------------------------------------------

int deinit()
 {
  ObjectDelete("lowline"); ObjectDelete("highline"); //    
  Comment("");
 }

//-------------------------------------------------

int start() // 
 {
  while(!IsStopped()) //   :
   {
    //RefreshRates();
    
    //     
    Ask_Tiker = MarketInfo(_tiker,MODE_ASK);
    Bid_Tiker = MarketInfo(_tiker,MODE_BID);
    
    Comment (//      
    "   =  ", _tiker ,"\n",
    "Ask_Tiker = ",Ask_Tiker,"\n",
    "Last_Price= ",Ask,"\n",
    "Bid_Tiker = ",Bid_Tiker);
    
    //       
    name = "highline";
    if(ObjectFind(name) < 0) ObjectCreate(name, OBJ_HLINE, 0,0,0);
    ObjectSet(name, OBJPROP_PRICE1, Ask_Tiker);
    ObjectSet(name, OBJPROP_COLOR , olor_AskTiker);
    ObjectSet(name, OBJPROP_STYLE , 0);
    ObjectSet(name, OBJPROP_WIDTH , LineWidth);

    name = "lowline";
    if(ObjectFind(name) < 0) ObjectCreate(name, OBJ_HLINE, 0,0,0);
    ObjectSet(name, OBJPROP_PRICE1, Bid_Tiker);
    ObjectSet(name, OBJPROP_COLOR , olor_BidTiker);
    ObjectSet(name, OBJPROP_STYLE , 0);
    ObjectSet(name, OBJPROP_WIDTH , LineWidth);
     Sleep(300);
   }// 
 }//  